- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# realtime_decl.hh File Reference

Declaration of the realtime() function. More...

Include dependency graph for realtime_decl.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<typename S, typename T>
Element< S, T > | realtime (const Element< S, T > &e)
| Calls the do_realtime function for rational expression or automata.
template<typename S, typename T>
void | realtime_here (Element< S, T > &e)
| Calls the do_realtime_here function for rational expression or automata.
template<typename S, typename T>
bool | is_realtime (const Element< S, T > &e)
| Test whether an automaton or a regular expression is realtime.

## Detailed Description

Declaration of the realtime() function.

Actually, the realtime() function may appear in two headers: realtime.hh and krat_exp_realtime.hh. In both header files, this function has the same prototype, but different meanings, and expect to be called with different types.

This is the unique declaration of realtime(), which will then do the dispatch onto the right do_realtime() in function of its parameter.

*Please note that you should not include this file directly. Use realtime.hh or krat_exp_realtime.hh*.

See also:
  realtime(), realtime.hh, krat_exp_realtime.hh

Definition in file realtime_decl.hh.